<?php
	// Menü unter jedem Datensatz: Colligere | Inspicere
	function ds_mnu($IID, $fasc, $seite, $navigatrum) {
		$mnu = "<td class='ds_mnu'><a href='javascript:return false;' onClick='storeIID($IID);'>Colligere</a>";
		if ($navigatrum == "1") {
			$fasc_000 = str_pad($fasc, 3, '0', STR_PAD_LEFT);
			// bei Seitenangaben wie "p. 64, 78":
			$pos = strpos($seite, ",");
			if ($pos != false) { $seite = substr($seite, 0, $pos); }
			$seite_000 = str_pad($seite, 3, '0', STR_PAD_LEFT);
			// nicht bei röm. Ziffern mit Nullen auffüllen!
			if((stristr($seite, "I")) OR (stristr($seite, "V")) OR (stristr($seite, "X")) OR ($seite == "")) { $seite_000 = $seite; }
			// Seiten ohne Paginierung, insbes. 001/000
			if($seite_000 == "000") { $seite_000 = ""; }
			$mnu = $mnu . " | <a target='_blank' href='navigatrum.html?$fasc_000$seite_000' >Inspicere</a>";
		}
		echo $mnu  . "</td></tr>";
	}
?>
